/*
 * Scratchbox Remote Shell
 * Copyright (c) 2003 Timo Savola <timo.savola@movial.fi>
 *
 * sbrsh is licensed under GPL.
 * You can read the full license at http://www.gnu.org/licenses/gpl.txt
 */

#ifndef FAKEROOT_H
#define FAKEROOT_H

#include "types.h"
#include "daemon.h"

#define FAKEROOTKEY_ENV  "FAKEROOTKEY"

typedef uint32_t func_id;

typedef uint64_t fake_ino_t;
typedef uint64_t fake_dev_t;
typedef uint32_t fake_uid_t;
typedef uint32_t fake_gid_t;
typedef uint32_t fake_mode_t;
typedef uint32_t fake_nlink_t;

struct fakestat {
	fake_uid_t   uid;
	fake_gid_t   gid;
	fake_ino_t   ino;
	fake_dev_t   dev;
	fake_dev_t   rdev;
	fake_mode_t  mode;
	fake_nlink_t nlink;
} __attribute__ ((packed));

struct fake_msg {
	func_id         id;
	struct fakestat st;
} __attribute__ ((packed));

extern int fakeroot_relay(handler_t *);

#endif
